# stream-private.h File Reference

Go to the source code of this file.

## Typedefs

typedef struct _StreamInfo | StreamInfo

## Functions

MagickExport const void * | GetStreamInfoClientData (StreamInfo *)
MagickExport Image * | StreamImage (const ImageInfo *, StreamInfo *, ExceptionInfo *)
MagickExport MagickBooleanType | OpenStream (const ImageInfo *, StreamInfo *, const char *, ExceptionInfo *)
MagickExport StreamInfo * | AcquireStreamInfo (const ImageInfo *)
MagickExport StreamInfo ** | DestroyStreamInfo (StreamInfo *)
MagickExport void | SetStreamInfoClientData (StreamInfo *, const void *)
MagickExport void | SetStreamInfoMap (StreamInfo *, const char *)
MagickExport void | SetStreamInfoStorageType (StreamInfo *, const StorageType)

## Typedef Documentation

typedef struct _StreamInfo StreamInfo

## Function Documentation

MagickExport StreamInfo* AcquireStreamInfo | ( | const ImageInfo * |  | ) |

MagickExport StreamInfo* * DestroyStreamInfo | ( | StreamInfo * |  | ) |

MagickExport const void* GetStreamInfoClientData | ( | StreamInfo * |  | ) |

MagickExport MagickBooleanType OpenStream | ( | const ImageInfo * | ,
|  | StreamInfo * | ,
|  | const char * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport void SetStreamInfoClientData | ( | StreamInfo * | ,
|  | const void * |  |
| ) |  |  |

MagickExport void SetStreamInfoMap | ( | StreamInfo * | ,
|  | const char * |  |
| ) |  |  |

MagickExport void SetStreamInfoStorageType | ( | StreamInfo * | ,
|  | const | StorageType |
| ) |  |  |

MagickExport Image* StreamImage | ( | const ImageInfo * | ,
|  | StreamInfo * | ,
|  | ExceptionInfo * |  |
| ) |  |  |